Issue 1883 It's too easy to mix up --patch-name and --patch in some commands

Title It's too easy to mix up --patch-name and --patch in some commands
Priority wishlist Status resolved
Milestone 2.8.0 Resolved in 2.8.0
Superseder Nosy List dagit, dmitry.kurochkin, kowey
Assigned To
Topics Matchers, UI

Created on 2010-06-30.23:53:01 by dagit, last changed 2010-07-15.10:31:01 by kowey.

msg11655 (view) Author: dagit Date: 2010-06-30.23:53:00
It's hard to look at --patch-name and --patch and tell how they are 
different.  Each is documented in the help/manual adequately, but a good UI 
would not present them together (as with amend-record), without giving them 
names that help differentiate them.

See for example issue1778.

So, my proposal is a renaming of these options (yes, that makes it an icky 
UI change) in order to prevent this sort of confusion.  If they couldn't be 
passed to a command at the same time it would be less of an issue.  Since 
they can be passed at the same time my 'wish' is for them to be more 

The fact that a user was confused enough to take the time to write a bug 
report and then several devs looked at the report before catching the 
confusion points to the depth of the confusion, especially for new users.

Example new names:
--set-patch-name and --patch-name-matching
--new-patch-name and --find-patch-name
--set-name and --name-matching
--set-name and --find-named

There should probably be some consensus on the best new names.  For reaching 
consensus, I propose making a list of 6, or so, alternatives and then 
holding a closed-ended multiple choice poll.  Then using the top voted 

msg11657 (view) Author: kowey Date: 2010-07-01.01:30:08
Waiting for outcome of discussion on

If this triggers no discussion within a week, I suggest we just apply
msg11754 (view) Author: kowey Date: 2010-07-15.10:31:00
The following patch updated issue issue1883 with status=resolved;resolvedin=2.6.0 HEAD

* Resolve issue1883: rename --patch-name option to --name. 
Ignore-this: 85ab2f1e23f8b561b323a9dfb94baa55
This is usually used in darcs record in shorthand (-m) form.
This rename is aimed at eliminating the confusion with the --patch
matcher, which bites amend-record and rollback users.
Date User Action Args
2010-06-30 23:53:01dagitcreate
2010-07-01 01:30:09koweysettopic: + UI, Matchers
nosy: + kowey
messages: + msg11657
2010-07-06 19:40:14ganeshlinkpatch293 issues
2010-07-15 10:31:01koweysetstatus: waiting-for -> resolved
messages: + msg11754
resolvedin: 2.8.0